_Elm_Store_Item_Mapping Struct Reference
Elementary » Elementary Store

## Data Fields

Elm_Store_Item_Mapping_Type | type
| what kind of mapping is this
const char * | part
| what part name in the genlist item is this filling in
int | offset
| offset in memory (in bytes) relative to base of structure for item data where the data for the mapping lives
union { |
Elm_Store_Item_Mapping_Empty empty |
Elm_Store_Item_Mapping_Icon icon |
Elm_Store_Item_Mapping_Photo photo |
Elm_Store_Item_Mapping_Custom custom |
} | details
| Allowed to be one of these possible mapping types.